﻿using System;
using System.IO;
using System.Threading.Tasks;
using Windows.Storage;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;

// The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=402352&clcid=0x409

namespace App1
{
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class MainPage : Page
    {
        public MainPage()
        {
            this.InitializeComponent();
        }

        private async void button_Click(object sender, RoutedEventArgs e)
        {

            MemoryStream ms = new MemoryStream();           

            for (int i = 0; i < 5000; i++)
            {
              await GenerateTextFile(ms, i);               
            }
         
            StorageFolder local = Windows.Storage.ApplicationData.Current.LocalFolder;
            StorageFile stFile = await local.CreateFileAsync("test.txt", CreationCollisionOption.ReplaceExisting);
            using (Windows.Storage.Streams.IRandomAccessStream fileStream = await stFile.OpenAsync(FileAccessMode.ReadWrite))
            {
                using (Stream st = fileStream.AsStreamForWrite())
                {
                    st.SetLength(0);
                    st.Write((ms as MemoryStream).ToArray(), 0, (int)ms.Length);
                    st.Flush();
                }
            }
            ms.Flush();
           
        }

        public async Task GenerateTextFile(MemoryStream ms, int index)
        {
            for (int i = 0; i < 1000; i++)
            {
                byte[] data = System.Text.Encoding.UTF8.GetBytes("Hello World! \r\n");
               await ms.WriteAsync(data, 0, data.Length - 1);
            }

        }      
      
    }
}
